Subject: Re: [bfcpbis] I-D Action: draft-ietf-bfcpbis-bfcp-websocket-08.txt

From: Paul Kyzivat <[email-masked]>
Date: Wed, 1 Jun 2016 10:14:43 -0400

I have a question.

> This document updates RFC4582bis and RFC4583bis.

Those documents are *drafts*. Does it really make sense to handle the 
changes this way? I guess that means that this document will need to be 
held until they become RFCs, and then it can update them.

Wouldn't it make more sense to simply make the changes in those drafts 
now, before they become RFCs?

	Thanks,
	Paul

On 6/1/16 2:51 AM, [email-masked] wrote:
>
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Binary Floor Control Protocol Bis  of the IETF.
>
>         Title           : The WebSocket Protocol as a Transport for the Binary Floor Control Protocol (BFCP)
>         Authors         : Victor Pascual
>                           Antón Román
>                           Stéphane Cazeaux
>                           Gonzalo Salgueiro
>                           Ram Mohan Ravindranath
>                           Sergio Garcia Murillo
> 	Filename        : draft-ietf-bfcpbis-bfcp-websocket-08.txt
> 	Pages           : 13
> 	Date            : 2016-05-31
>
> Abstract:
>    The WebSocket protocol enables two-way realtime communication between
>    clients and servers.  This document specifies a new WebSocket sub-
>    protocol as a reliable transport mechanism between Binary Floor
>    Control Protocol (BFCP) entities to enable usage of BFCP in new
>    scenarios.  This document updates RFC4582bis and RFC4583bis.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-bfcpbis-bfcp-websocket/
>
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-ietf-bfcpbis-bfcp-websocket-08
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-bfcpbis-bfcp-websocket-08
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> bfcpbis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bfcpbis
>

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 7 Jun 2016 17:41:44 +0000

(As an individual)

Good question. I agree it seems a bit strange. But my thinking is that our use of “Updates” may not be appropriate. I view RFC 4582 and RFC 4583 as defining BFCP over TCP and over UDP. This draft takes BFCP over TCP and defines how to encapsulate it within a WebSocket and how to negotiate that encapsulation. So I think these drafts are related but separate, and that we should remove the “Updates” label and simply have RFC4582bis and RFC4583bis as normative references (as they already are). Thoughts?

Cheers,
Charles

---

From: "Gonzalo Salgueiro (gsalguei)" <[email-masked]>
Date: Tue, 7 Jun 2016 18:12:29 +0000

I’m OK with that approach.  I also agree that they are entirely too different in purpose to try and merge them.

-G

> On Jun 7, 2016, at 1:41 PM, Charles Eckel (eckelcu) <[email-masked]> wrote:
> 
> (As an individual)
>

---

From: Victor Pascual <[email-masked]>
Date: Tue, 7 Jun 2016 20:16:07 +0200

Fine with me

> On 07 Jun 2016, at 20:12, Gonzalo Salgueiro (gsalguei) <[email-masked]> wrote:
>

---

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Wed, 8 Jun 2016 04:44:12 +0000

Works for me as well.

Thanks,
Ram

-----Original Message-----
From: bfcpbis <[email-masked]> on behalf of Victor Pascual
<[email-masked]>
Date: Tuesday, 7 June 2016 at 11:46 PM
To: "Gonzalo Salgueiro (gsalguei)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "Charles Eckel (eckelcu)"
<[email-masked]>, Paul Kyzivat <[email-masked]>
Subject: Re: [bfcpbis] I-D Action: draft-ietf-bfcpbis-bfcp-websocket-08.txt

>> I¹m OK with that approach.  I also agree that they are entirely too
>>different in purpose to try and merge them.
>> 
>> -G
>> 
>> 
>>> Good question. I agree it seems a bit strange. But my thinking is that
>>>our use of ³Updates² may not be appropriate. I view RFC 4582 and RFC
>>>4583 as defining BFCP over TCP and over UDP. This draft takes BFCP over
>>>TCP and defines how to encapsulate it within a WebSocket and how to
>>>negotiate that encapsulation. So I think these drafts are related but
>>>separate, and that we should remove the ³Updates² label and simply have
>>>RFC4582bis and RFC4583bis as normative references (as they already
>>>are). Thoughts?
>>> 
>>> Cheers,
>>> Charles
>>> 
>>> 
>>> 
>>>> On 6/1/16, 7:14 AM, "bfcpbis on behalf of Paul Kyzivat"
>>>><[email-masked] on behalf of [email-masked]> wrote:
>>>> 
>>>> I have a question.
>>>>

---

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Sat, 11 Jun 2016 05:42:42 +0000

I just published a new revision addressing the comments below. Here is the
diff.

https://www.ietf.org/rfcdiff?url2=draft-ietf-bfcpbis-bfcp-websocket-09

Regards,
Ram

-----Original Message-----
From: bfcpbis <[email-masked]> on behalf of Cisco Employee
<[email-masked]>
Date: Wednesday, 8 June 2016 at 10:14 AM
To: Victor Pascual <[email-masked]>, "Gonzalo Salgueiro
(gsalguei)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "Charles Eckel (eckelcu)"
<[email-masked]>, Paul Kyzivat <[email-masked]>
Subject: Re: [bfcpbis] I-D Action: draft-ietf-bfcpbis-bfcp-websocket-08.txt

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 14 Jun 2016 15:38:11 +0000

Hi Ram,

The changes look good. However, upon reviewing sections 6.1 and 6.2, I think they need some work. Most importantly, I believe the reference in section 6.2 to section 7 of rfc4582bis is incorrect. Section 7 deals with lower layer transport security. It would be better to reference section 3 and/or section 8.1  of rfc4583bis. I also suggest combining sections sections 6.1 and 6.2 and renaming, e.g.

OLD: 6.1. Extensions to RFC4583bis 
OLD: 6.2. Extensions to RFC4582bis

NEW: 6.1. Transport Negotiation
 
Thoughts?

Charles

---

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Tue, 14 Jun 2016 16:35:17 +0000

Thanks Charles for the feedback. I will address them.

Regards,
Ram

-----Original Message-----
From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tuesday, 14 June 2016 at 9:08 PM
To: Cisco Employee <[email-masked]>, "[email-masked]"
<[email-masked]>

>Hi Ram,
>
>The changes look good. However, upon reviewing sections 6.1 and 6.2, I
>think they need some work. Most importantly, I believe the reference in
>section 6.2 to section 7 of rfc4582bis is incorrect. Section 7 deals with
>lower layer transport security. It would be better to reference section 3
>and/or section 8.1  of rfc4583bis. I also suggest combining sections
>sections 6.1 and 6.2 and renaming, e.g.
>
>On 6/10/16, 10:42 PM, "bfcpbis on behalf of Ram Mohan R (rmohanr)"
><[email-masked] on behalf of [email-masked]> wrote:
>
>>>>>>> changes this way? I guess that means that this document will need
>>>>>>>to
>>>>>>>be 
>>>>>>>>https://www.ietf.org/rfcdiff?url2=draft-ietf-bfcpbis-bfcp-websocket
>>>>>>>>-0
>>>>>>>>8
>>>>>>>> 
>>>>>>>>